Bug 15601 - db3-devel creates libdb_tcl.so symlink without dependency
db3-devel creates libdb_tcl.so symlink without dependency
Product: Red Hat Linux
Classification: Retired
Component: db3 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-08-07 01:43 EDT by Jeremy Katz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-11 16:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2000-08-07 01:43:10 EDT
libdb3-devel creates a symlink for libdb_tcl.so but does not require the
libdb3-utils package which contains the target of the symlink,
Comment 1 Jeff Johnson 2000-08-11 15:49:26 EDT
This problem should be fixed by creating a db3-tcl package, and having db3-utils
depend on
that package. Deferred until after Red Hat 7.0.
Comment 2 Jeremy Katz 2000-08-11 16:09:41 EDT
Unfortunately having no dependency on this right now means that any installation
of db3-devel without db3-utils causes an error every time ldconfig gets run
:(    Although admittedly a kludge, what would be the thought regarding putting
the libdb_tcl.so symlink in the db3-utils package or just making the dependency
on db3-utils for this release?  Having the dangling symlink just  looks
unpolished in my opinion
Comment 3 Jeff Johnson 2000-08-11 16:14:25 EDT
Agreed on unpolished. However, the correct solution, creating a db3-tcl package,
been outside my accessible solution set since early June when package
were frozen (i.e. no new packages). C'est la vie ...

Note You need to log in before you can comment on or make changes to this bug.